Subject: [seamoby] Thanks to all those find folks at my broadband provider...

From: Pat Calhoun <[email-masked]>
Date: Wed, 14 Mar 2001 07:43:16 -0800 (PST)

... the list has been down for nearly a day. We are back in business.

PatC